<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
  <div class="container-fluid">
    <%= link_to 'Rails-Conference', root_path, class: 'navbar-brand' %>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <%= link_to 'Home', root_path, class: active_class(root_path) %>
        </li>
        <li class="nav-item">
          <%= link_to 'All Papers', all_papers_path, class: active_class(all_papers_path) %>
        </li>
        <li class="nav-item">
          <%= link_to 'About Us', about_path, class: active_class(about_path) %>
        </li>
        <% if user_signed_in? %>
          <li class="nav-item">
            <%= link_to 'Edit Profile', edit_user_registration_path, class: active_class(edit_user_registration_path) %>
          </li>
          <li class="nav-item">
            <%= link_to 'My Papers', papers_path, class: active_class(papers_path) %>
          </li>
        <% end %>
      </ul>
      <ul class="navbar-nav mr-auto mb-2 mb-lg-0">
        <% if user_signed_in? %>
          <li class="nav-item text-light">
            <%= link_to "Signed in as" + ' ' + current_user.full_name, edit_user_registration_path, class: 'nav-link' %>
          </li>
          <li class="nav-item">
            <%= link_to 'Sign Out', sign_out_path, method: :delete, class: 'btn btn-outline-light text-light' %>
          </li>
        <% else %>
          <li class="nav-item">
            <%= link_to 'Sign Up', sign_up_path, class: active_class(sign_up_path) %>
          </li>
          <li class="nav-item">
            <%= link_to 'Sign In', sign_in_path, class: 'btn btn-outline-light text-light' %>
          </li>
        <% end %>
      </ul>
    </div>
  </div>
</nav>
